/* rexx */


call RxFuncAdd 'SysTempFileName', 'RexxUtil', 'SysTempFileName'
call RxFuncAdd 'SysFileDelete', 'RexxUtil', 'SysFileDelete'
call RxFuncAdd 'SysFileTree', 'RexxUtil', 'SysFileTree'

rc = SysFileTree('*.que', s., 'FO')

if rc = 0 then do i = 1 to s.0
  Tmp = SysTempFileName('????.tmp', '?')
  rc = stream(Tmp, 'c', 'open write')
  rc = stream(s.i, 'c', 'open read')

  Line = linein(s.i)        /* first line */
  rc = lineout(Tmp, Line,)

  rc = lineout(Tmp, '0', )  /* rewrite second line */
  Line = linein(s.i)        /* skip it in the source file */
  do while lines(s.i) <> 0
    Line = linein(s.i)
    rc = lineout(Tmp, Line, )
    end
  rc = stream(Tmp, 'c', 'close')
  rc = stream(s.i, 'c', 'close')

  copy Tmp s.i
  rc = SysFileDelete(Tmp)
  end

exit

